package twopm.tech.bench.jaxrs;

import java.io.IOException;
import org.jboss.resteasy.core.ResteasyDeploymentImpl;
import static org.jboss.resteasy.plugins.server.netty.NettyContainer.netty;
import org.jboss.resteasy.plugins.server.netty.NettyJaxrsServer;
import org.jboss.resteasy.spi.ResteasyDeployment;

public class Bench {

	public static void main(String[] args) throws IOException, InterruptedException {
		ResteasyDeployment deployment = new ResteasyDeploymentImpl();
		deployment.getActualResourceClasses().add(TestResource.class);
		netty = new NettyJaxrsServer();
		netty.setDeployment(deployment);
		netty.setPort(8080);
		netty.setRootResourcePath("");
		netty.setSecurityDomain(null);
		netty.start();
	}
}
